%define upstream_name    Dist-Zilla-Plugin-FileKeywords
%define upstream_version 0.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Standard Keywords plugin
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Dist::Zilla::Role::FileFinderUser)
BuildRequires: perl(Dist::Zilla::Role::FileMunger)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Autobox)
BuildArch:  noarch

%description
This plugin is a file_munger. It processes a list of files (by default all
files in the distribution) and replaces all occurances of known keywords
with their expansions.

It does this is in a manner similar to how Subversion manages keywords. In
particular it looks for keywords in the forms:

  $$KEYWORD$$
  $$KEYWORD: Stuff $$
  $$KEYWORD::    Stuff $$

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc CHANGES INSTALL LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.20.0-2.mga4
+ Revision: 526915
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.20.0-1.mga4
+ Revision: 439093
- update to 0.02

* Sun Jan 13 2013 umeabot <umeabot> 0.10.0-2.mga3
+ Revision: 366146
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 14 2011 jquelin <jquelin> 0.10.0-1.mga1
+ Revision: 71125
- imported package perl-Dist-Zilla-Plugin-FileKeywords


* Mon Mar 14 2011 cpan2dist 0.01-1mga
- initial mageia release, generated with cpan2dist
